Bug 540653 - Review Request: jazzy - Java-based spell checker
Review Request: jazzy - Java-based spell checker
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-23 16:38 EST by Lubomir Rintel
Modified: 2009-12-03 04:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 04:56:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-11-23 16:38:30 EST
SPEC: http://v3.sk/~lkundrak/SPECS/jazzy.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/jazzy-0.5.2-1.fc13.src.rpm
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1825998

Description:

Jazzy is a pure Java library implementing a spell checking algorithm
similar to aspell. It may be used to spell check a variety of sources.
Comment 1 Lubomir Rintel 2009-11-23 16:40:13 EST
RPMlint mostly silent, only complains about "aspell" not being correct en_US.
Comment 2 Alexander Kurtakov 2009-11-26 08:04:18 EST
First sight:
You need to change  
VER=$(echo $BASE |sed 's/\.jar$/%{version}.jar/') to
VER=$(echo $BASE |sed 's/\.jar$/-%{version}.jar/') 
Note the dash before version it is needed to be that way to keep jpackage scripts differentiating versioned and non-versioned jars.
Comment 3 Alexander Kurtakov 2009-11-30 06:14:12 EST
OK: rpmlint must be run on every package. The output should be posted in the review.
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [26]
OK: All filenames in rpm packages must be valid UTF-8. [27]


Once the issue in comment #2 is fixed package is APPROVED.
Comment 4 Lubomir Rintel 2009-11-30 07:04:20 EST
Thank you. New package:

SPEC: http://v3.sk/~lkundrak/SPECS/jazzy.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/jazzy-0.5.2-2.fc12.src.rpm
Comment 5 Alexander Kurtakov 2009-11-30 07:16:26 EST
Thanks, APPROVED.
Comment 6 Lubomir Rintel 2009-11-30 08:03:38 EST
New Package CVS Request
=======================
Package Name: jazzy
Short Description: Java-based spellchecker
Owners: lkundrak
Branches: F-11 F-12 EL-5
Comment 7 Kevin Fenzi 2009-12-03 01:40:21 EST
cvs done.
Comment 8 Lubomir Rintel 2009-12-03 04:56:55 EST
Imported and built.
Thanks for review and cvs!

Note You need to log in before you can comment on or make changes to this bug.